CVE-2023-46846

Public on 2023-10-27
Modified on 2024-01-18
Description
Due to chunked decoder lenience Squid is vulnerable to Request/Response smuggling attacks when parsing HTTP/1.1 and ICAP messages.
Severity
Important severity
Important
CVSS v3 Base Score
8.2
See breakdown

Affected Packages

Platform Package Release Date Advisory Status
Amazon Linux 1 squid Pending Fix
Amazon Linux 2 - Core squid 2024-03-27 ALAS2-2024-2509 Fixed
Amazon Linux 2023 squid 2023-11-09 ALAS2023-2023-429 Fixed

CVSS Scores

Score Type Score Vector
Amazon Linux CVSSv3 8.2 CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:L/A:N
NVD CVSSv3 9.3 CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:C/C:H/I:L/A:N